# ETF 資產配置

`GET` `/v1/quote/etf-asset-allocation`

獲取 ETF 資產配置，按元素類型分組：持倉、地區、資產類別與行業。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | ETF 代碼，如 `QQQ.US`。 |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/etf-asset-allocation?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `info` | object[] | No | 資產配置分組（每種元素類型一組） |
| `└ report_date` | string | No | 報告日期，如 `20260601` |
| `└ asset_type` | integer | No | 本組的元素類型（持倉 / 地區 / 資產類別 / 行業） |
| `└ lists` | object[] | No | 本組的元素列表 |
| `└ ∟ name` | string | No | 元素名稱 |
| `└ ∟ position_ratio` | string | No | 持倉佔比，如 `0.0861114` |
| `└ ∟ name_locales` | string | No | 本地化名稱（原始字符串，語言映射見 `name_locales_map`）。 |
| `└ ∟ name_locales_map` | object | No | 本地化名稱（locale → 名稱，如 `zh-CN` → `英偉達`） |
| `└ ∟ ∟ en` | string | No | 英文名稱。 |
| `└ ∟ ∟ zh-CN` | string | No | 簡體中文名稱。 |
| `└ ∟ ∟ zh-HK` | string | No | 繁體中文名稱。 |
| `└ ∟ code` | string | No | 證券代碼（僅持倉），如 `NVDA` |
| `└ ∟ symbol` | string | No | 證券代碼帶市場後綴（僅持倉），如 `NVDA.US` |
| `└ ∟ holding_detail` | string | No | 持倉明細（僅持倉） |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "info": [
      {
        "report_date": "20260601",
        "asset_type": "holdings",
        "lists": [
          {
            "name": "NVIDIA",
            "code": "NVDA",
            "position_ratio": "0.0861114",
            "symbol": "NVDA.US",
            "name_locales_map": {
              "zh-CN": "英伟达"
            }
          }
        ]
      }
    ]
  }
}
```
